Skip to main content
POST
/
refi
/
v2
/
leads
Create Lead Application
curl --request POST \
  --url https://develop.qa.credible.com/api/partners/refi/v2/leads \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "partnerLeadId": "partner-lead-id",
  "requestedLoanAmount": 9999,
  "borrower": {
    "email": "[email protected]",
    "firstName": "Great",
    "lastName": "Credibletest",
    "incomeYearly": 90000,
    "housingPaymentMonthly": 1200,
    "dob": "19881014",
    "phone": "7777777777",
    "ssn": "1451",
    "netWorth": 50000,
    "address": {
      "city": "Bloomsburg",
      "state": "PA",
      "street": "378 East Street",
      "zipcode": "17815",
      "unit": "2A"
    },
    "graduationDate": "20120601",
    "education": [
      {
        "degreeLevel": "undergraduate",
        "degreeType": "bachelors",
        "schoolKey": "00215500",
        "otherSchool": "Other University",
        "studyField": "engineering"
      }
    ],
    "citizenship": "us_citizen",
    "loanGoal": "lower_monthly_payment",
    "housingType": "rent",
    "employmentStatus": "employed_full_time",
    "consentData": {
      "ipAddress": "192.168.0.1",
      "recordDate": "20250123",
      "consentText": "some text"
    }
  }
}
'

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Create Lead Application

partnerLeadId
string
required
Example:

"partner-lead-id"

requestedLoanAmount
integer<int32>
required
Example:

9999

borrower
object
required
partnerCampaignId
string
Example:

"campaign-1373"

Response

201

Create Lead Application